> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto purchase limits for fiat currencies

> <Warning>

**⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate to the [Network Partner API](/api-reference/network-partners); see the [migration guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).

</Warning>

Returns a list of limits (minimums and maximums) in terms of fiat currencies tokens for buying crypto.



## OpenAPI

````yaml /openapi/serviceproviders-20260203.json get /service-providers/limits/fiat-currency-purchases
openapi: 3.1.0
info:
  title: SERVICE PROVIDERS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: >+
    <Warning>


    **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate
    to the [Network Partner API](/api-reference/network-partners); see the
    [migration
    guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


    </Warning>

servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Service Provider
paths:
  /service-providers/limits/fiat-currency-purchases:
    get:
      tags:
        - Service Provider
      summary: Get crypto purchase limits for fiat currencies
      description: >-
        <Warning>


        **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.**
        Migrate to the [Network Partner API](/api-reference/network-partners);
        see the [migration
        guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


        </Warning>


        Returns a list of limits (minimums and maximums) in terms of fiat
        currencies tokens for buying crypto.
      operationId: service-providers-limits-fiat-currency-purchase-get
      parameters:
        - name: serviceProviders
          in: query
          description: A comma separated list of service providers.
          required: false
          schema:
            type: string
        - name: statuses
          in: query
          description: >-
            A comma separated list of service provider statuses. Valid values
            are: LIVE,RECENTLY_ADDED,BUILDING
          required: false
          schema:
            type: string
            default: LIVE,RECENTLY_ADDED
        - name: categories
          in: query
          description: >-
            A comma separated list of service provider categories. Valid values
            are:
            BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS.
            Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven
            and cannot be requested directly.
          required: false
          schema:
            type: string
        - name: accountFilter
          in: query
          description: >-
            Filter by account configuration. Will only include properties
            supported by the service providers configured for the account of the
            API authentication token used.
          required: false
          schema:
            type: boolean
            default: false
        - name: countries
          in: query
          description: A comma separated list of countries.
          required: false
          schema:
            type: string
        - name: fiatCurrencies
          in: query
          description: A comma separated list of fiat currencies.
          required: false
          schema:
            type: string
        - name: cryptoChains
          in: query
          description: A comma separated list of crypto chains.
          required: false
          schema:
            type: string
        - name: cryptoCurrencies
          in: query
          description: A comma separated list of crypto currencies.
          required: false
          schema:
            type: string
        - name: paymentMethodTypes
          in: query
          description: >-
            A comma separated list of payment method types. Valid Values are:
            [Supported Payment
            Methods](https://docs.meld.io/docs/supported-payment-methods)
          required: false
          schema:
            type: string
        - name: includeDetails
          in: query
          description: >-
            When true, includes details about any account, Meld, and/or service
            provider limits used for each limit in the response.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Limits returned
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FiatCurrencyPurchaseLimit20231122'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FiatCurrencyPurchaseLimit20231122:
      type: object
      description: Fiat Currency Purchase limits.
      properties:
        accountDetails:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FiatCurrencyPurchaseLimit20231122LimitDetails'
          description: >-
            The account service provider limit overrides. Only present when
            includeDetails request parameter is set to true.
        currencyCode:
          type: string
          description: The currency code for these Fiat Currency Purchase limits.
        defaultAmount:
          type: number
          description: The default purchase amount.
        maximumAmount:
          type: number
          description: The maximum purchase amount.
        meldDetails:
          description: >-
            The Meld limits. Only present when includeDetails request parameter
            is set to true.
          allOf:
            - $ref: >-
                #/components/schemas/FiatCurrencyPurchaseLimit20231122LimitDetails
        minimumAmount:
          type: number
          description: The minimum purchase amount.
        serviceProviderDetails:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FiatCurrencyPurchaseLimit20231122LimitDetails'
          description: >-
            The service provider limits. Only present when includeDetails
            request parameter is set to true.
    FiatCurrencyPurchaseLimit20231122LimitDetails:
      type: object
      description: Fiat Currency Purchase limit details.
      properties:
        defaultAmount:
          type: number
          description: The default purchase amount.
        maximumAmount:
          type: number
          description: The maximum purchase amount.
        minimumAmount:
          type: number
          description: The minimum purchase amount.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````